# bash commands for dada2 analysis

# reformat fasta headers for silvangs classification
cd /models/tmm/Projects/HaukeSeqs_Spermonde/Dada2
sed -e 's/;/_/' -e 's/;//' dada2_unique.fasta > dada2_unique_silvangs.fasta
# submitted to Silvangs

# Parsing Silvangs output (acknowledgement: Eddie Fadeev)
cd /models/tmm/Projects/HaukeSeqs_Spermonde/Silvangs
# save results as results_dada2

# extract relevant alignment and taxonomic information
sed '1d' results_dada2/ssu/exports/*---ssu---otus.csv | cut -f 3,5,6,9 | sed -e 's/|/\t/g' | cut -f 1,2,3,7 | sort -> dada2_silva_clasification_sorted.csv

# parse sequence cluster map in case some sequences were still clustered
sed -e 's/\.\.\..*//g' results_dada2/ssu/stats/sequence_cluster_map/data/*amplicons_seeds_uc.clstr | sed -e 's/^.\+>/@>/g; s/>//g' | sed -e :a -e 'N;s/\n@/\t/;ba' |sort - > dada2.clstr.parsed

# prepare for R
# first column: identical to sequence accession in taxonomy file (cluster accession)
# second column: ";"-separated list of all members per cluster
sed -e 's/\t/;/g' -e 's/;/\t/' dada2.clstr.parsed > dada2.clstr.parsed.4R
